AFS-Command
view release on metacpan or search on metacpan
Definitions:
"Package" refers to the collection of files distributed by the
Copyright Holder, and derivatives of that collection of files
created through textual modification.
"Standard Version" refers to such a Package if it has not been
modified, or has been modified in accordance with the wishes
of the Copyright Holder as specified below.
"Copyright Holder" is whoever is named in the copyright or
copyrights for the package.
"You" is you, if you're thinking about copying or distributing
this Package.
"Reasonable copying fee" is whatever you can justify on the
basis of media cost, duplication charges, time of people
involved, and so on. (You will not be required to justify it
to the Copyright Holder, but only to the computing community
at large as a market that must bear the fee.)
"Freely Available" means that no fee is charged for the item
itself, though there may be fees involved in handling the
item. It also means that recipients of the item may
redistribute it under the same conditions they received it.
1. You may make and give away verbatim copies of the source form of
the Standard Version of this Package without restriction, provided
that you duplicate all of the original copyright notices and
associated disclaimers.
2. You may apply bug fixes, portability fixes and other modifications
derived from the Public Domain or from the Copyright Holder. A
Package modified in such a way shall still be considered the
Standard Version.
3. You may otherwise modify your copy of this Package in any way,
provided that you insert a prominent notice in each changed file
stating how and when you changed that file, and provided that you
(possibly commercial) programs as part of a larger (possibly
commercial) software distribution provided that you do not
advertise this Package as a product of your own. You may embed
this Package's interpreter within an executable of yours (by
linking); this shall be construed as a mere form of aggregation,
provided that the complete Standard Version of the interpreter is
so embedded.
6. The scripts and library files supplied as input to or produced as
output from the programs of this Package do not automatically fall
under the copyright of this Package, but belong to whoever
generated them, and may be sold commercially, and may be aggregated
with this Package. If such scripts or library files are aggregated
with this Package via the so-called "undump" or "unexec" methods of
producing a binary executable image, then distribution of such an
image shall neither be construed as a distribution of this Package
nor shall it fall under the restrictions of Paragraphs 3 and 4,
provided that you do not represent such an executable image as a
Standard Version of this Package.
7. C subroutines (or comparably compiled subroutines in other
t/00vos_basic.t
t/01vos_dumprestore.t
t/02vos_volserver.t
t/10bos_basic.t
t/20fs_basic.t
t/30pts_basic.t
t/40fs_complex.t
t/99pts_cleanup.t
ToDo
ToDo.html
util/bin/check_copyright
util/bin/check_version
util/bin/write_exclude
util/bin/write_manifest
util/lib/parse_config
util/bin/check_copyright view on Meta::CPAN
#!/ms/dist/perl5/bin/perl
#
# $Id: check_copyright,v 7.1 2004/01/13 19:01:52 wpm Exp $
#
# (c) 2003-2004 Morgan Stanley and Co.
# See ..../src/LICENSE for terms of distribution.
#
# This hack is just to sanity check that my copyright is found
# everywhere....
#
# To run this, from the top level source directory,
# ./util/check_copyright
#
use Getopt::Long;
use File::Basename;
GetOptions( \%args, qw( update ) ) || die;
%skip = map { $_ => 1 }
qw(
.options/rcsMajor
util/bin/check_copyright view on Meta::CPAN
push(@old,$file) if $old;
}
unless ( @missing || @old ) {
warn "Everythings OK.... don't panic.\n";
exit 0;
}
if ( @missing ) {
warn("The following files have no copyright notice:\n\t" .
join("\n\t",@missing) . "\n");
}
if ( ! $args{update} && @old ) {
warn("The following files have an old copyright notice:\n\t" .
join("\n\t",@old) . "\n");
}
exit 0 unless $args{update};
$errors = 0;
#
# Update the copyrights (add the year 2000) if asked to.
#
foreach my $old ( @old) {
warn "Updating copyright notice in $old\n";
#
# If the file is in RCS, we have to check it out/in.
#
my $rcs = rcs($old);
if ( $rcs ) {
system("co -l $old > /dev/null");
if ( $? >> 8 ) {
warn "Unable to co -l $old\n";
util/bin/check_copyright view on Meta::CPAN
next;
}
}
#
# Hey, I *know* its a hack to call perl from inside perl, but
# this is a hack...
#
# Hmm. This doesn't work. Must be a quoting issue. I dunno...
# system("perl -i -pe 's/(\(c\) 1999)/\1, 2000/g;' $old");
# die "Unable to update copyright years in $old\n" if $? >> 8;
#
open(NEW,">$old.new") || die "Unable to write to $old.new: $!\n";
open(OLD,$old) || die "Unable to read $old: $!\n";
while ( <OLD> ) {
s/(\(c\)) (\d{4}).* (Morgan Stanley and Co\.)/\1 \2-$thisyear \3/;
#s/(\(c\) 1999)/\1, 2000/g;
print NEW;
}
close(OLD) || die "Unable to close $old: $!\n";
close(NEW) || die "Unable to close $old.new: $!\n";
rename("$old.new",$old) || die "Unable to rename $old.new to $old: $!\n";
if ( $rcs ) {
system("echo 'Updated copyright year' | ci -u $old > /dev/null");
die "Unable to ci -u $old\n" if $? >> 8;
}
}
exit $errors ? 1 : 0;
sub rcs {
my ($file) = @_;
( run in 0.565 second using v1.01-cache-2.11-cpan-d0baa829c65 )